package com.community.huiju.service.impl;

import com.community.commom.mode.ResponseBean;
import com.community.huiju.dao.MqMessageMapper;
import com.community.huiju.service.IMqMessageService;
import com.google.common.collect.Maps;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 订阅事件
 * @author weiximei
 */
@Service("iMqMessageService")
public class MqMessageService implements IMqMessageService {

    @Autowired
    private MqMessageMapper mqMessageMapper;

    @Override
    public ResponseBean selectOpenDoorCount(Integer eventType) {
        ResponseBean responseBean = new ResponseBean();
        Map<String,Object> map = Maps.newHashMap();
        Integer result = mqMessageMapper.selectOpenDoorCount(eventType);
        map.put("message","开门次数");
        map.put("count",result);
        responseBean.addSuccess(map);
        return responseBean;
    }
}
